#include "Planet.h"
Planet::Planet() : AstronomicalObject()
{
    m_isWaterPresent = true;
    m_isAPlanet = true;
}
Planet::Planet(float xPos, float yPos)
{
    m_xPos = xPos;
    m_yPos = yPos;
    m_isAPlanet = true;
    m_isWaterPresent = false;
}

Planet::~Planet()
{

}
void Planet::draw() const
{
    std::cout<<"I am A Planet";
    al_draw_filled_circle(10+(m_xPos*3),10+(m_yPos*3),8,al_map_rgb(20,200,20));
}
